<?php

namespace app\index\controller;

use app\BaseController as AppBaseController;
use app\common\Bootstrap;
use think\Paginator;

class BaseController extends AppBaseController
{
  public function initialize()
  {
    parent::initialize();

    Paginator::maker(function($items, $listRows, $currentPage, $total, $simple, $options){
      return new Bootstrap($items, $listRows, $currentPage, $total, $simple, $options);
    });
    
  }
}
